MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029888Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-06-20 21:082018-06-30 13:34
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029888: [Regression] Data Exchange - XCAFDoc_Editor::Expand() removes names
DescriptionSome names in the Document are last after performing XCAFDoc_Editor::Expand().
This is a regression after #0029599.
Steps To Reproducebugs xde bug 29888_1
bugs xde bug 29888_2

pload XDE
XOpen Lantern.xbf D
set aNameBefore [XCheckProps D 0 0:1:1:3]
XExpand D 0
set aNameAfter  [XCheckProps D 0 0:1:1:3]
if { $aNameBefore != $aNameAfter } { puts "Error: name has been lost" }


Expected output:
  Label 0:1:1:3      "LanternPole_Body"

Actual output:
  Label 0:1:1:3      "FACE"
TagsNo tags attached.
Test case numberbugs/xde/bug29888_1, bugs/xde/bug29888_2
Attached Files? file icon Lantern.xbf (166,905 bytes) 2018-06-20 21:08
? file icon bug29888.xbf (166,905 bytes) 2018-06-22 14:58
? file icon bug29888_part.xbf (166,682 bytes) 2018-06-22 14:58

- Relationships

-  Notes
(0076882)
git (administrator)
2018-06-22 13:16

Branch CR29888 has been created by ika.

SHA-1: df49d25e20d9fb88450c43a182b34bfd38e11476


Detailed log of new commits:

Author: ika
Date: Thu Jun 21 17:21:02 2018 +0300

    0029888: [Regression] Data Exchange - XCAFDoc_Editor::Expand() removes names
    
    Add check to prohibit expanding references to assemblies.
(0076888)
ika (developer)
2018-06-22 15:00

Dear GKA,

could you please review branch CR29888?

Test results:
http://occt-tests/CR29888-master-ika-OCCT/Windows-64-VC10/diff_summary.html [^]
http://occt-tests/CR29888-master-ika-OCCT/Debian70-64/diff_summary.html [^]
http://occt-tests/CR29888-master-ika-Products/Windows-64-VC10/diff_summary.html [^]
http://occt-tests/CR29888-master-ika-Products/Debian70-64/diff_summary.html [^]
(0077023)
ika (developer)
2018-06-25 13:51

Dear SSV,

could you please review branch CR29888? Test results are in the previous note.
(0077039)
ssv (developer)
2018-06-25 15:48

Reviewed (no remarks).
(0077045)
bugmaster (administrator)
2018-06-25 18:33

Shapes were added to data repository
(0077046)
bugmaster (administrator)
2018-06-25 18:35

Combination -
OCCT branch : CR29888 SHA - df49d25e20d9fb88450c43a182b34bfd38e11476
Products branch : master SHA - 9ac004afdb7f325fbc12a45c765b6a8f88d4dc98
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17095.33999999986 / 17008.500000000095 [+0.51%]
Products
Total CPU difference: 7477.790000000012 / 7460.130000000034 [+0.24%]
Windows-64-VC10:
OCCT
Total CPU difference: 16822.976238898576 / 16834.91031539858 [-0.07%]
Products
Total CPU difference: 8242.827638299887 / 8259.114142699882 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0077139)
git (administrator)
2018-06-30 13:34

Branch CR29888 has been deleted by inv.

SHA-1: df49d25e20d9fb88450c43a182b34bfd38e11476

- Related Changesets
occt: master 8cbf1f8d
Timestamp: 2018-06-21 14:21:02
Author: ika
Committer: bugmaster
Details ] Diff ]
0029888: [Regression] Data Exchange - XCAFDoc_Editor::Expand() removes names

XCAFDoc_Editor::Expand function avoids expanding references to assemblies.
mod - src/XCAFDoc/XCAFDoc_Editor.cxx Diff ] File ]
add - tests/bugs/xde/bug29888_1 Diff ] File ]
add - tests/bugs/xde/bug29888_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-20 21:08 kgv New Issue
2018-06-20 21:08 kgv Assigned To => gka
2018-06-20 21:08 kgv File Added: Lantern.xbf
2018-06-20 21:21 kgv Relationship added child of 0029599
2018-06-20 21:21 kgv Description Updated View Revisions
2018-06-20 21:22 kgv Summary Data Exchange - XCAFDoc_Editor::Expand() removes names => [Regression] Data Exchange - XCAFDoc_Editor::Expand() removes names
2018-06-20 21:22 kgv Assigned To gka => ika
2018-06-20 21:22 kgv Status new => assigned
2018-06-20 21:24 kgv Steps to Reproduce Updated View Revisions
2018-06-22 13:16 git Note Added: 0076882
2018-06-22 14:58 ika File Added: bug29888.xbf
2018-06-22 14:58 ika File Added: bug29888_part.xbf
2018-06-22 15:00 ika Note Added: 0076888
2018-06-22 15:00 ika Assigned To ika => gka
2018-06-22 15:00 ika Status assigned => resolved
2018-06-22 15:00 ika Steps to Reproduce Updated View Revisions
2018-06-25 13:49 ika Assigned To gka => ika
2018-06-25 13:50 ika Assigned To ika => ssv
2018-06-25 13:51 ika Note Added: 0077023
2018-06-25 15:48 ssv Note Added: 0077039
2018-06-25 15:48 ssv Assigned To ssv => bugmaster
2018-06-25 15:48 ssv Status resolved => reviewed
2018-06-25 18:13 bugmaster Test case number => bugs/xde/bug29888_1, bugs/xde/bug29888_2
2018-06-25 18:33 bugmaster Note Added: 0077045
2018-06-25 18:35 bugmaster Note Added: 0077046
2018-06-25 18:35 bugmaster Status reviewed => tested
2018-06-30 12:48 bugmaster Changeset attached => occt master 8cbf1f8d
2018-06-30 12:48 bugmaster Status tested => verified
2018-06-30 12:48 bugmaster Resolution open => fixed
2018-06-30 13:34 git Note Added: 0077139


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker